Subject: vfork problem in beta 17.1
From: [email-masked] ("John C Howard")

8 Apr 1997 09:31:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC43FE.633C1F50.cygnus.gnu-win32@PCY4284>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
Original-To: "[email-masked]'" <[email-masked]>
X-MIME-Autoconverted: from quoted-printable to 8bit by cygnus.com id GAA08333
Original-Sender: [email-masked]

Problem:
------------
Compilation fails due to problem reported by fork in beta 17.1 under NT 4.0.
I get similar errors when in bash, almost like my environment is not visible to any of the b17.1 executables.  If I start bash in the bin directory and then type "ls", I get a directory listing.  If I cd .., and then type "ls", I get an error reported by fork that it could not find the command.

Read further for a compilation example...  Any suggestions?

Platform:
------------
Machine:	IBM Personal Computer 350-P166
OS:		Windows NT 4.0, Build 1381; Service Pack 1a
Free Memory:	32,180 Megabytes RAM
Free HD:	60,915,712 bytes
I installed from the all_tar.gz

Source Code for hello.c example:
----------------------------------
#include <stdio.h>
main()
{
        printf( "Content-type: text/html\n\n" );
        printf( "<H1>Hello World!</H1>\n" );
}

Compilation Output:
----------------------------
C:\cygnus\apps>gcc hello.c
gcc: vfork: No such file or directory
C:\cygnus\apps>

Environment:
------------------
GCC_EXEC_PREFIX="C:\cygnus\H-i386-cygwin32\lib\gcc-lib\"

PATH=.;C:\PROG\PERL5\bin;C:\WINNT\system32;C:\WINNT;C:\SQL60\BINN;C:\SQL60\DLL;
c:\prog\jdk1.1\bin;C:\Hotjava\bin;C:\Hotjava\runtime\bin;"c:\cygnus\H-i386-cygwin32\bin"; c:\winnt\command;c:\;c:\utils;C:\prog\perl5\bin;

End of Message
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".